<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="title$ | async" class="dashboard-header">

  <span class="dashboard-header-title">
    <ng-container *ngIf="statementCanceled$ | async">
      {{'details.deletedStatement' | translate}}:
    </ng-container>
    {{title$ | async}}
  </span>

</div>

<app-statement-details-side-menu
  (appDispatch)="clearErrors(); store.dispatch($event)"
  [appUserName]="userName$ | async"
  [appLoading]="isStatementLoading$ | async"
  [appTasks]="tasks$ | async"
  [appErrorMessage]="(appError$ | async)?.errorMessage"
  [appUserRoles]="userRoles$ | async"
  [appStatementId]="statementId$ | async"
  [appIsStatementCanceled]="statementCanceled$ | async">
</app-statement-details-side-menu>

<ng-container *ngIf="(statement$ | async) != null">

  <app-statement-details-information
    [appContactInfo]="(statement$ | async)?.contactInfo"
    [appStatementInfo]="(statement$ | async)?.info"
    class="statement-details">
  </app-statement-details-information>

  <app-statement-details-geographic-position
    class="statement-details">
  </app-statement-details-geographic-position>

  <app-statement-details-attachments
    class="statement-details">
  </app-statement-details-attachments>

  <app-statement-details-contributions
    class="statement-details">
  </app-statement-details-contributions>

  <app-statement-details-outbox
    class="statement-details">
  </app-statement-details-outbox>

  <app-statement-details-considerations
    [appFinished]="(statement$ | async)?.info?.finished"
    class="statement-details">
  </app-statement-details-considerations>

  <app-comments-form
    class="statement-details"
    [appCollapsed]="true">
  </app-comments-form>

  <app-collapsible
    [appCollapsed]="false"
    [appTitle]="'details.processInformation.title' | translate"
    class="statement-details">
    <app-process-information
      *ngIf="(statementCanceled$ | async) !== true"
      [appCurrentActivities]="processCurrentActivityIds$ | async"
      [appProcessHistoryData]="processHistory$ | async | getProcessHistoryEntries"
      [appProcessName]="processName$ | async"
      [appProcessVersion]="processVersion$ | async"
      [appStatementId]="statementId$ | async"
      [appWorkflowXml]="processDiagram$ | async"
      class="statement-details-content statement-details-content--process-information">
    </app-process-information>
    <div *ngIf="statementCanceled$ | async"
         class="placeholder">
      {{"details.processInformation.placeholder" | translate}}
    </div>
  </app-collapsible>

  <app-statement-details-linked-statements
    class="statement-details">
  </app-statement-details-linked-statements>

</ng-container>
